<?php

	//	PHP-Bildverarbeitung
	//
	//	Modul: Labeling
	//
	//	Dieser Code steht zur Benutzung auf der eigenen Website zur freien Verfügung.
	//
	//	Copyright © 2008, 2009, 2010 Paul Wilhelm <paul@mosfetkiller.de>
	//	http://mosfetkiller.de/?s=phpbildverarbeitung



	//	*******************************
	//	******** Konfiguration ********
	//	*******************************

	//	Modul: Labeling | Bild beschriften
	$image_labeling_enabled = TRUE;							//	Bildbeschriftung aktiviert (TRUE = Ja, FALSE = Nein)
	$image_text_label = "Hallo Welt!";						//	Beschriftungstext
	$image_font_size_label = 2;								//	Größe der Bildbeschriftung
	$image_font_color_foreground_label = "e50000";			//	Vordergrundfarbe der Bildbeschriftung
	$image_font_color_background_label = "ffffff";			//	Hintergrundfarbe der Bildbeschriftung



	//	*******************************
	//	******** Modulprozedur ********
	//	*******************************

	//	Modul: Labeling | Bild beschriften (ignorieren, falls E-Mail-Adresse ausgegeben werden soll)
	if (!isset($_GET['mail']) && $image_labeling_enabled && $image_text_label !== "")
	{
		//	Vordergrundfarbe setzen
		$_image_font_color_foreground_label = imagecolorallocate($image,
			hexdec(substr($image_font_color_foreground_label, 0, 2)),
			hexdec(substr($image_font_color_foreground_label, 2, 2)),
			hexdec(substr($image_font_color_foreground_label, 4, 2)));

		//	Hintergrundfarbe setzen
		$_image_font_color_background_label = imagecolorallocate($image,
			hexdec(substr($image_font_color_background_label, 0, 2)),
			hexdec(substr($image_font_color_background_label, 2, 2)),
			hexdec(substr($image_font_color_background_label, 4, 2)));

		//	Größe des Schriftzugs berechnen
		$image_text_label_width = strlen($image_text_label) * imagefontwidth($image_font_size_label);
		$image_text_label_height = imagefontheight($image_font_size_label);

		//	Position des Schriftzugs berechnen
		$image_text_label_x = imagesx($image) - $image_text_label_width - 3;
		$image_text_label_y = imagesy($image) - $image_text_label_height - 2;

		//	Silhouette des Schriftzugs in der Hintergrundfarbe zeichnen
		imagestring($image, $image_font_size_label, $image_text_label_x + 1, $image_text_label_y, $image_text_label, $_image_font_color_background_label);
		imagestring($image, $image_font_size_label, $image_text_label_x + 1, $image_text_label_y + 1, $image_text_label, $_image_font_color_background_label);
		imagestring($image, $image_font_size_label, $image_text_label_x, $image_text_label_y + 1, $image_text_label, $_image_font_color_background_label);
		imagestring($image, $image_font_size_label, $image_text_label_x - 1, $image_text_label_y + 1, $image_text_label, $_image_font_color_background_label);
		imagestring($image, $image_font_size_label, $image_text_label_x - 1, $image_text_label_y, $image_text_label, $_image_font_color_background_label);
		imagestring($image, $image_font_size_label, $image_text_label_x - 1, $image_text_label_y - 1, $image_text_label, $_image_font_color_background_label);
		imagestring($image, $image_font_size_label, $image_text_label_x, $image_text_label_y - 1, $image_text_label, $_image_font_color_background_label);

		//	Schriftzug in der Vordergrundfarbe zeichnen
		imagestring($image, $image_font_size_label, $image_text_label_x, $image_text_label_y, $image_text_label, $_image_font_color_foreground_label);
	}

?>
